/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

package com.fundi.framework.common.navigation;

import java.util.List;

import com.fundi.framework.common.displaylist.ResourceDefn;

/**
 * Intended to provide information on the interface context in which a context menuitem  is going to show - for this case an editable resource of some sort.
 * The set of edit operations only includes Create, Update and Delete since we have an implicit default of Read as part of the essential functionality of much
 * of the GUI.
 */
public interface IEditContext {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$

	public boolean allowCreate();
	public boolean allowUpdate();
	public boolean allowDelete();
	public List<?> getSelectionFromWidget();
	public String getEditResourceType();
	public ResourceDefn getResourceDefn();
	public Object getEditUI();
}
